Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreTrashManager

    java.lang.Object
      oracle.ifs.fdk.impl.TrashManagerImpl
          oracle.ifs.fdk.core.CoreTrashManager

All Implemented Interfaces:
  java.rmi.Remote, TrashManager

    public class CoreTrashManager

extends TrashManagerImpl

The trash management Facade implementation.

Constructor Summary
`CoreTrashManager()` Constructor for webservices.
`CoreTrashManager(FdkSession session)` Constructor.

Method Summary
`void` | `emptyTrash(long trashId)` Empties the given TrashFolder.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`void` | `setTrashConfiguration(long trashId, NamedValue[] config)` Sets the TrashFolder configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreTrashManager

    public CoreTrashManager()

  Constructor for webservices.

### CoreTrashManager

    public CoreTrashManager(FdkSession session)

  Constructor.

Method Detail

### emptyTrash

    public void emptyTrash(long trashId)
                    throws FdkException

  Description copied from interface: `TrashManager`
  Empties the given TrashFolder.

  Parameters:
    `trashId` - the ID of the TrashFolder to empty.
  Throws:
    `FdkException` - if the operation fails.

### setTrashConfiguration

    public void setTrashConfiguration(long trashId,
                                      NamedValue[] config)
                               throws FdkException

  Description copied from interface: `TrashManager`
  Sets the TrashFolder configuration.

  Parameters:
    `trashId` - the TrashFolder for which to set the configuration
    `config` - the TrashFolder configuration options to set; must include one or more of the following Attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.TRASH_ENABLED, Boolean}
    - {Attributes.TRASH_AUTO_EMPTY_ENABLED, Boolean}
    - {Attributes.TRASH_HOLDING_PERIOD, Long}
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD